package com.muchinfo.mtp3interface.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.muchinfo.mtp3pojos.entity.Performancesteptemplate;
import com.muchinfo.mtp3pojos.entity.WrtradeGoodsconfig;
import com.muchinfo.mtp3pojos.entity.WrtradeMatchdetail;
import com.muchinfo.mtp3pojos.entity.WrtradeOrderdetail;
import com.muchinfo.mtp3pojos.vo.query.warehouse.*;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 仓单贸易委托表 - 导历史 Mapper 接口
 * </p>
 *
 * @author XKF
 * @since 2024-08-06
 */
@Mapper
public interface IWrtradeOrderdetailMapper extends BaseMapper<WrtradeOrderdetail> {

    IPage<WarehouseCommissionResult> getAllWrTradeOrderMap(IPage<WarehouseCommissionResult> page,@Param("vo") WarehouseCommissionParam param);

    List<WarehouseCommissionResult> getAllWrTradeOrderMap(@Param("vo") WarehouseCommissionParam param);

    List<WrtradeGoodsconfig> getWRTradeGoodsConfigById(@Param("wrtradeorderid")Long wrtradeorderid);

    List<WrtradeMatchdetail> getWRTradeMatchDetailById(@Param("wrtradeorderid")Long wrtradeorderid);

    List<Performancesteptemplate> queryPerformanceStep(@Param("performancetemplateid")Long performancetemplateid);

    IPage<WarehouseContractResult> queryTradeDetail(IPage<WarehouseContractResult> page,@Param("vo") WarehouseContractParam param);

    List<WarehouseContractResult> queryTradeDetail(@Param("vo") WarehouseContractParam param);

    IPage<WarehouseSumResult> querySum(IPage<WarehouseSumResult> page, @Param("vo")WarehouseSumParam param);

    IPage<WarehouseSumDetailResult> summaryQueryDetail(IPage<WarehouseSumDetailResult> page, @Param("vo") WarehouseSumDetailParam param);
}
